////////////////////////////////////////////////////////////////////////////////
/// <header>
/// This SQF Script created using Script Edit v0.7 on 2007-10-16 16:04:17Z
/// 
/// <author>HeliJunkie</author>
/// <filename>GetPData.sqf</filename>
/// <version>1.0.0</version>
/// 
/// <summary>
/// Get Value Data of Parent Class(es)
/// </summary>
/// 
/// <parameters>
/// 0 = Config to start with (Type: Config)
/// 1 = Array of existing values
/// 2	= Level of inheritance (level of Parent Class)
/// </parameters>
/// </header>
////////////////////////////////////////////////////////////////////////////////

private ["_PConf","_ValData","_i","_cnt","_plevel","_getpdata","_index","_test","_MainName"];

_PConf = _this select 0;
_ValData = _this select 1;
_plevel = ((_this select 2) + 1);

_GetPData = compile preprocessFile "cfgexplorer\getpdata.sqf";

_cnt = count _PConf;
_ColRed = [0,0.6,0,1];
_MainName = configName _PConf;

for "_i" from 0 to (_cnt - 1 ) do {
	_Entry = _PConf select _i;
	if (!isClass _Entry) then {
		_cfgname = configName _Entry;
		// Add value only if not present by current class
		if (!(_cfgname in _ValData)) then {
			if (isNumber _Entry) then { 
				_text = format["(%1 ""%2""): %3   => %4",_plevel,_MainName,_cfgName,getNumber _Entry];
				_index = lbAdd [2000, _text];
				lbSetPicture [2000,_index,"CfgExplorer\icons\number.paa"];
				lbSetData [2000, _index, _cfgName];
				lbSetValue [2000, _index, _plevel];
				lbSetColor [2000, _index, _ColRed];
				_ValArray  = _ValArray  + [_cfgName];
			};
			if (isText _Entry) then { 
				_text = format["(%1 ""%2""): %3   => ""%4""",_plevel,_MainName,_cfgName,gettext _Entry];
				_index = lbAdd [2000, _text];
				lbSetPicture [2000,_index,"CfgExplorer\icons\text.paa"];
				lbSetData [2000, _index, _cfgName];
				lbSetValue [2000, _index, _plevel];
				lbSetColor [2000, _index, _ColRed];
				_ValArray  = _ValArray  + [_cfgName];
			};
			if (isArray _Entry) then { 
				_text = format["(%1 ""%2""): %3   => %4",_plevel,_MainName,_cfgName,getarray _Entry];
				_index = lbAdd [2000, _text];
				lbSetPicture [2000,_index,"CfgExplorer\icons\array.paa"];
				lbSetData [2000, _index, _cfgName];
				lbSetValue [2000, _index, _plevel];
				lbSetColor [2000, _index, _ColRed];
				_ValArray  = _ValArray  + [_cfgName];
			};	
		};
	};
};
// Watch, if there is another inherit by a parent class
_inherits = inheritsFrom _PConf;
if ((configName _inherits) != "") then {
	IPaths = IPaths + [_inherits];
	[_inherits,_ValArray,_plevel] call _getpdata;
};

