#define CT_STATIC 0
#define CT_BUTTON 1
#define ST_LEFT 0x00
#define ST_CENTER     2
#define ST_VPOS 0x0C
#define ST_UP 0x08
#define C_WHITE {1, 1, 1, 1}
#define C_BLACK {0,0,0,1}
#define C_RED {1,0,0,1}
#define C_BLUE {0,0,1,1}
#define C_GREEN {0,1,0,1}
#define C_DGREY {0.1,0.1,0.1,1}
#define Logo "CfgExplorer\icons\CfgExpl_BG_1024.paa"
#define Act_BtnUp "call compile preprocessFile ""CfgExplorer\BtnUp.sqf"";"
#define VERSION "Version: 1.03"
#define FontM "Zeppelin32"

class HJ_ConfigExplorer { 
	idd = 19000; 
	movingEnable = false; // no movement while the dialog is shown 
	controlsBackground[] = { }; // no background controls needed 
	objects[] = { }; 
	controls[] = { 
		HJ_MainHead,
		HJ_SText_CurrentPath,
		HJ_SText_Inherits,
		HJ_Btn_Close, 
		HJ_Btn_ClassUp, 
		HJ_LB_Left, 
		HJ_LB_Right, 
		HJ_LB_Leftdown,
		HJ_Val_Values,
		HJ_Version
	};
	
	class HJ_MainHead {
		access = ReadAndWrite;
		type = VSoft;
		idc = -1;
		style = 48;
		colorBackground[] = {0, 0, 0, 1};
		colorText[] = {1, 1, 1, 1};
		font = "TahomaB";
		sizeEx = 0;
		lineSpacing = 0;
		text = Logo;
		x = 0.005; 
		y = -0.16; 
		w = 0.985; 
		h = 1.34; 

	};	

	class HJ_SText_CurrentPath {
		access = ReadAndWrite;
		type = 13;
		idc = 2003;
		style = 0;
		x = 0.15;
		y = 0.1;
		w = 0.83;
		h = 0.02;
		text = "Text Current Config Path";
		size = 0.02;
		
		class Attributes {
			font = "TahomaB";
			color = "#000000";
			align = "left";
			shadow = false;
			shadowColor= "#ff0000";
		};
	};

	class HJ_SText_Inherits {
		access = ReadAndWrite;
		type = 13;
		idc = 2010;
		style = 0;
		x = 0.15;
		y = 0.13;
		w = 0.83;
		h = 0.02;
		text = "Text Inherits from";
		size = 0.02;
		
		class Attributes {
			font = "TahomaB";
			color = "#000000";
			align = "left";
			shadow = false;
			shadowColor= "#ff0000";
		};
	};
					
	class HJ_LB_Left {
		idc = 1999;
		access = ReadAndWrite;
		type = 5;
		style = 0;
		x = 0.018;
		y = 0.175;
		w = 0.234;
		h = 0.63;
		font = FontM;
		sizeEx = 0.02;
		rowHeight = 0;
		colorText[] = {0, 0, 0, 1};
		colorScrollbar[] = {1, 0, 0, 1};
		colorSelect[] = {0, 0, 0, 1};
		colorSelectBackground[] = {0, 0, 0,0.2};
		soundSelect[] = {"", 0.1, 1};
		period = 2;
	};
	
	class HJ_Btn_ClassUp {
		type = CT_BUTTON;
		idc = 2005;
		style = ST_CENTER;
		
		colorText[] = C_WHITE;
		colorDisabled[] = C_RED; 
		colorBackground[] = {0,0,0,0}; 
		colorBackgroundActive[] = {0,0,0,0}; 
		colorBackgroundDisabled[] = {0,0,0,0}; 
		colorFocused[] = {0,0,0,0}; 
		colorShadow[] = {0,0,0,0}; 
		colorBorder[] = {0,0,0,0}; 
		
		x = 0.20;
		y = 0.817;
		w = 0.05;
		h = 0.02;
		offsetX = -0.002; // Offset for Shadow
		offsetY = -0.002; // Offset for Shadow
		offsetPressedX = 0.001; // Offset Button if Pressed
		offsetPressedY = 0.001; // Offset Button if Pressed
		borderSize = 0.001;
		soundEnter[] = {"", 0.2, 1};
		
		font = FontM;
		sizeEx = 0.02;
		soundPush[] = {"", 0.2, 1};
		soundClick[] = {"", 0.2, 1};
		soundEscape[] = {"", 0.2, 1};
		default = false;
		text = "UP";
		action = Act_BtnUp;
	};
	
	class HJ_LB_Right : HJ_LB_LEFT {
		idc = 2000;
		x = 0.265;
		y = 0.175;
		w = 0.714;
		h = 0.63;
	};
	class HJ_LB_Leftdown : HJ_LB_LEFT {
		idc = 2001;
		y = 0.842;
		h = 0.13;
	};
	
	class HJ_Val_Values {
		access = ReadAndWrite;
		type = 13;
		idc = 2002;
		style = 0;
		x = 0.265;
		y = 0.86;
		w = 0.7;
		h = 0.1;
		text = "";
		size = 0.02;
		colorText[] = {0, 0, 0, 1};
		
		borderSize = 0.1;
		colorBorder[] = C_BLACK; // added
		
		class Attributes {
			font = "TahomaB";
			color = "#000000";
			align = "left";
			shadow = false;
		};
	};		
	
	class HJ_Btn_Close : HJ_Btn_ClassUp{
		type = CT_BUTTON;
		idc = -1;
		style = ST_CENTER;

		x = 0.93;
		y = 0.96;
		w = 0.05;
		h = 0.02;

		text = "Close";
		action = "closeDialog 0";
	};
	class HJ_Version { 
		idc = -1; // set to -1, unneeded 
		type = CT_STATIC; // constant 
		style = ST_LEFT; // constant 
		text = VERSION; 
		font = FontM; 
		sizeEx = 0.02; 
		colorBackground[] = {0.9, 0.9, .9, 0 }; 
		colorText[] = { 1, 1, 1, 1 }; 
		x = 0.80; 
		w = 0.1; 
		y = 0.96; 
		h = 0.02; 
	};
};